package cz.muni.fi.pa165.rating;

import cz.muni.fi.pa165.common.BaseObject;
import jakarta.persistence.Entity;
import jakarta.persistence.EnumType;
import jakarta.persistence.Enumerated;
import lombok.*;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
public class RatingDo extends BaseObject {

    private long userId;

    private long movieId;

    @Enumerated(value = EnumType.STRING)
    private RatingCategoryEnum category;

    private int rating;

}
